From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/oneVPL/
Date: Thu, 30 Nov 2023 10:01:15 +0000 (UTC) [thread overview]
Message-ID: <1701338139.87eeb740c755207bedf466666b2b22fc9be079da.andrewammerlaan@gentoo> (raw)
commit: 87eeb740c755207bedf466666b2b22fc9be079da
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 30 09:55:39 2023 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Thu Nov 30 09:55:39 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87eeb740
media-libs/oneVPL: add 2023.4.0
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
media-libs/oneVPL/Manifest | 1 +
media-libs/oneVPL/metadata.xml | 2 +-
media-libs/oneVPL/oneVPL-2023.4.0.ebuild | 82 ++++++++++++++++++++++++++++++++
3 files changed, 84 insertions(+), 1 deletion(-)
diff --git a/media-libs/oneVPL/Manifest b/media-libs/oneVPL/Manifest
index 2c8be26baddd..d4bcb6871553 100644
--- a/media-libs/oneVPL/Manifest
+++ b/media-libs/oneVPL/Manifest
@@ -1 +1,2 @@
DIST oneVPL-2023.3.1.tar.gz 6322962 BLAKE2B 3e688886d03ee90c27e42204f926bbb4eb7fb0926f1bbb4f8dfdd0427adccda3cb3138dbed5d2fc9ea3aa7af78aadced4a242c16aede27d1f1fe781ecb83e58c SHA512 1e8cc143f33438d3a4e1d65aa57dca4e0ebc1a47741b7a124a273cc609cc4ce789c0e230db3244010f5f1ca54f42cdd2e17d132b2c904af41607a2a0527c38ed
+DIST oneVPL-2023.4.0.tar.gz 11592938 BLAKE2B e2f264a4729b6c2dd88cc690d78d4106112cc4957c216f52c1381ff3ff7b994e696c969adb6227422160950e4918f8e24c94346b1290515bcd951f814875876a SHA512 240ebcee8c57699c6fdbaf5939ed059758dc9b7e2bd5631138a07b44e8f3007ebd99e7791e648f9ed2f08336063272ea157d55dfdde32bce8a88d62a1a34b1d7
diff --git a/media-libs/oneVPL/metadata.xml b/media-libs/oneVPL/metadata.xml
index a3315c4abeff..77f4c9b27db9 100644
--- a/media-libs/oneVPL/metadata.xml
+++ b/media-libs/oneVPL/metadata.xml
@@ -9,7 +9,7 @@
<name>Andrew Ammerlaan</name>
</maintainer>
<upstream>
- <remote-id type="github">oneapi-src/oneVPL</remote-id>
+ <remote-id type="github">intel/libvpl</remote-id>
</upstream>
<use>
<flag name="drm">Build with DRM support</flag>
diff --git a/media-libs/oneVPL/oneVPL-2023.4.0.ebuild b/media-libs/oneVPL/oneVPL-2023.4.0.ebuild
new file mode 100644
index 000000000000..a669bf8ca480
--- /dev/null
+++ b/media-libs/oneVPL/oneVPL-2023.4.0.ebuild
@@ -0,0 +1,82 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib optfeature
+
+DESCRIPTION="oneAPI Video Processing Library, dispatcher, tools, and examples"
+HOMEPAGE="https://github.com/intel/libvpl/"
+SRC_URI="https://github.com/intel/libvpl//archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/libvpl-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="dri drm examples experimental tools test vaapi wayland X"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="
+ dri? ( X drm )
+ X? ( vaapi )
+ wayland? ( drm )
+"
+
+RDEPEND="
+ x11-libs/libpciaccess[${MULTILIB_USEDEP}]
+ vaapi? ( media-libs/libva[X?,wayland?,drm(+)?,${MULTILIB_USEDEP}] )
+ drm? ( x11-libs/libdrm[${MULTILIB_USEDEP}] )
+ wayland? (
+ dev-libs/wayland[${MULTILIB_USEDEP}]
+ )
+ X? (
+ x11-libs/libX11[${MULTILIB_USEDEP}]
+ x11-libs/libxcb[${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}
+ wayland? (
+ dev-libs/wayland-protocols
+ )
+"
+BDEPEND="virtual/pkgconfig"
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ -DBUILD_SHARED_LIBS=ON
+ -DBUILD_DISPATCHER=ON
+ # Headers, cmake and pkgconfig files
+ -DBUILD_DEV=ON
+ -DBUILD_EXAMPLES="$(usex examples)"
+ -DINSTALL_EXAMPLE_CODE="$(usex examples)"
+ -DBUILD_PREVIEW="$(usex experimental)"
+ -DBUILD_DISPATCHER_ONEVPL_EXPERIMENTAL="$(usex experimental)"
+ # Fails to build with experimental tools off if tools on
+ -DBUILD_TOOLS_ONEVPL_EXPERIMENTAL="$(multilib_native_usex tools)"
+ -DBUILD_TESTS="$(usex test)"
+ # Tools fails to compile for 32 bit
+ -DBUILD_TOOLS="$(multilib_native_usex tools)"
+ -DENABLE_WAYLAND="$(usex wayland)"
+ -DENABLE_X11="$(usex X)"
+ -DENABLE_DRI3="$(usex dri)"
+ -DENABLE_VA="$(usex vaapi)"
+ -DENABLE_DRM="$(usex drm)"
+ -DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr"
+ -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}/etc"
+ )
+ cmake_src_configure
+}
+
+multilib_src_install() {
+ cmake_src_install
+ # Remove these license files
+ rm -r "${ED}/usr/share/vpl/licensing" || die
+}
+
+pkg_postinst() {
+ optfeature_header "This package provides only the dispatcher, to use it install one or more implementations"
+ optfeature "CPUs" media-libs/oneVPL-cpu
+ optfeature "Intel GPUs newer then, and including, Intel Xe" media-libs/oneVPL-intel-gpu
+ optfeature "Intel GPUs older then Intel Xe" media-libs/intel-mediasdk
+}
next reply other threads:[~2023-11-30 10:01 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-11-30 10:01 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-07 19:55 [gentoo-commits] repo/gentoo:master commit in: media-libs/oneVPL/ Andrew Ammerlaan
2024-03-07 19:55 Andrew Ammerlaan
2024-03-07 19:55 Andrew Ammerlaan
2023-10-20 15:54 Andrew Ammerlaan
2023-08-17 7:49 Andrew Ammerlaan
2023-06-14 20:02 Andrew Ammerlaan
2023-05-31 6:55 Andrew Ammerlaan
2023-04-30 9:05 Andrew Ammerlaan
2023-04-30 9:05 Andrew Ammerlaan
2023-04-11 18:19 Andrew Ammerlaan
2023-03-21 20:56 Andrew Ammerlaan
2023-03-07 8:27 Andrew Ammerlaan
2023-02-23 9:27 Andrew Ammerlaan
2023-02-23 9:27 Andrew Ammerlaan
2023-01-03 19:32 Andrew Ammerlaan
2022-12-06 18:09 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1701338139.87eeb740c755207bedf466666b2b22fc9be079da.andrewammerlaan@gentoo \
--to=andrewammerlaan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox